Get Key Statistics
curl --request GET \
--url https://plugin-pix-indirect.api.lerian.net/v1/dict/statistics/keys/{key} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://plugin-pix-indirect.api.lerian.net/v1/dict/statistics/keys/{key}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/dict/statistics/keys/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/dict/statistics/keys/{key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"keyStatistics": {
"entries": {
"distinctAccounts": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"watermark": "2024-01-15T10:30:00Z"
},
"infractionReports": {
"openReports": 0,
"openReportsDistinctReporters": 0,
"rejectedReports": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"watermark": "2024-01-15T10:30:00Z"
},
"fraudMarkers": {
"applicationFrauds": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"distinctFraudReporters": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"muleAccounts": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"otherFrauds": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"scammerAccounts": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"totalFraudTransactionAmount": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"unknownFrauds": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"watermark": "2024-01-15T10:30:00Z"
},
"spi": {
"settlements": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"watermark": "2024-01-15T10:30:00Z"
}
},
"ownerStatistics": {
"entries": {
"registeredAccounts": 2,
"watermark": "2024-01-15T10:30:00Z"
},
"fraudMarkers": {
"applicationFrauds": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"distinctFraudReporters": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"muleAccounts": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"otherFrauds": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"scammerAccounts": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"totalFraudTransactionAmount": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"unknownFrauds": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"watermark": "2024-01-15T10:30:00Z"
},
"infractionReports": {
"openReports": 0,
"openReportsDistinctReporters": 0,
"rejectedReports": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"watermark": "2024-01-15T10:30:00Z"
},
"spi": {
"settlements": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"watermark": "2024-01-15T10:30:00Z"
}
}
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}Get Key Statistics
Use this endpoint to fetch usage and risk statistics for a specific Pix key.
Notes:
- Returns both key-level statistics and owner-level statistics in a single response.
- Key statistics track data specific to the Pix key as an entity independent of its current owner.
- Owner statistics provide the same data as the person statistics endpoint for the key’s current owner.
- This endpoint queries the provider directly and does not store data locally.
- Use this information for comprehensive risk assessment when processing payments to a Pix key.
GET
/
v1
/
dict
/
statistics
/
keys
/
{key}
Get Key Statistics
curl --request GET \
--url https://plugin-pix-indirect.api.lerian.net/v1/dict/statistics/keys/{key} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://plugin-pix-indirect.api.lerian.net/v1/dict/statistics/keys/{key}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/dict/statistics/keys/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/dict/statistics/keys/{key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"keyStatistics": {
"entries": {
"distinctAccounts": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"watermark": "2024-01-15T10:30:00Z"
},
"infractionReports": {
"openReports": 0,
"openReportsDistinctReporters": 0,
"rejectedReports": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"watermark": "2024-01-15T10:30:00Z"
},
"fraudMarkers": {
"applicationFrauds": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"distinctFraudReporters": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"muleAccounts": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"otherFrauds": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"scammerAccounts": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"totalFraudTransactionAmount": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"unknownFrauds": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"watermark": "2024-01-15T10:30:00Z"
},
"spi": {
"settlements": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"watermark": "2024-01-15T10:30:00Z"
}
},
"ownerStatistics": {
"entries": {
"registeredAccounts": 2,
"watermark": "2024-01-15T10:30:00Z"
},
"fraudMarkers": {
"applicationFrauds": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"distinctFraudReporters": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"muleAccounts": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"otherFrauds": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"scammerAccounts": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"totalFraudTransactionAmount": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"unknownFrauds": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"watermark": "2024-01-15T10:30:00Z"
},
"infractionReports": {
"openReports": 0,
"openReportsDistinctReporters": 0,
"rejectedReports": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"watermark": "2024-01-15T10:30:00Z"
},
"spi": {
"settlements": {
"d90": "36",
"m12": "51",
"m60": "44"
},
"watermark": "2024-01-15T10:30:00Z"
}
}
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
Pix key value (CPF, CNPJ, email, phone, or EVP). Maximum 77 characters.
Maximum string length:
77Was this page helpful?

